/* Deviation = 19.042969 */
/* Base frequency = 434.002350 */
/* Carrier frequency = 434.002350 */
/* Channel number = 0 */
/* Carrier frequency = 434.002350 */
/* Modulated = true */
/* Modulation format = 2-FSK */
/* Manchester enable = false */
/* Sync word qualifier mode = 15/16 sync word bits detected */
/* Preamble count = 2 */
/* Channel spacing = 120.208740 */
/* Carrier frequency = 434.002350 */
/* Data rate = 9.59587 */
/* RX filter BW = 406.250000 */
/* Data format = Normal mode */
/* CRC enable = false */
/* Device address = 0 */
/* Address config = No address check */
/* CRC autoflush = false */
/* PA ramping = false */
/* TX power = 10 */

typedef struct {
    BYTE iocfg0;       // GDO0 Output Configuration
    BYTE fifothr;      // RX FIFO and TX FIFO Thresholds
    BYTE sync1;        // Sync Word, High Byte
    BYTE sync0;        // Sync Word, Low Byte
    BYTE pktlen;       // Packet Length
    BYTE pktctrl0;     // Packet Automation Control
    BYTE fsctrl1;      // Frequency Synthesizer Control
    BYTE freq2;        // Frequency Control Word, High Byte
    BYTE freq1;        // Frequency Control Word, Middle Byte
    BYTE freq0;        // Frequency Control Word, Low Byte
    BYTE mdmcfg4;      // Modem Configuration
    BYTE mdmcfg3;      // Modem Configuration
    BYTE mdmcfg2;      // Modem Configuration
    BYTE mdmcfg1;      // Modem Configuration
    BYTE mdmcfg0;      // Modem Configuration
    BYTE deviatn;      // Modem Deviation Setting
    BYTE mcsm2;        // Main Radio Control State Machine Configuration
    BYTE mcsm0;        // Main Radio Control State Machine Configuration
    BYTE foccfg;       // Frequency Offset Compensation Configuration
    BYTE agcctrl2;     // AGC Control
    BYTE worevt1;      // High Byte Event0 Timeout
    BYTE worevt0;      // Low Byte Event0 Timeout
    BYTE worctrl;      // Wake On Radio Control
    BYTE frend1;       // Front End RX Configuration
    BYTE fscal3;       // Frequency Synthesizer Calibration
    BYTE fscal2;       // Frequency Synthesizer Calibration
    BYTE fscal1;       // Frequency Synthesizer Calibration
    BYTE fscal0;       // Frequency Synthesizer Calibration
    BYTE test2;        // Various Test Settings
    BYTE test1;        // Various Test Settings
    BYTE test0;        // Various Test Settings
    BYTE lqi;          // Demodulator Estimate for Link Quality
    BYTE rssi;         // Received Signal Strength Indication
    BYTE vco_vc_dac;   // Current Setting from PLL Calibration Module
    BYTE pa_table0;    // PA table, entry 0
} RF_SETTINGS;