// Deviation = 19.042969 
// Base frequency = 434.002350 
// Carrier frequency = 434.002350 
// Channel number = 0 
// Carrier frequency = 434.002350 
// Modulated = true 
// Modulation format = 2-FSK 
// Manchester enable = false 
// Sync word qualifier mode = 15/16 sync word bits detected 
// Preamble count = 2 
// Channel spacing = 120.208740 
// Carrier frequency = 434.002350 
// Data rate = 9.59587 
// RX filter BW = 406.250000 
// Data format = Normal mode 
// CRC enable = false 
// Device address = 0 
// Address config = No address check 
// CRC autoflush = false 
// PA ramping = false 
// TX power = 10 

RF_SETTINGS code rfSettings = {
    0x06,  // IOCFG0          GDO0 Output Configuration
    0x47,  // FIFOTHR         RX FIFO and TX FIFO Thresholds
    0x2D,  // SYNC1           Sync Word, High Byte
    0xD4,  // SYNC0           Sync Word, Low Byte
    0x0F,  // PKTLEN          Packet Length
    0x00,  // PKTCTRL1        Packet Automation Control
    0x01,  // PKTCTRL0        Packet Automation Control
    0x06,  // FSCTRL1         Frequency Synthesizer Control
    0x10,  // FREQ2           Frequency Control Word, High Byte
    0xB1,  // FREQ1           Frequency Control Word, Middle Byte
    0x41,  // FREQ0           Frequency Control Word, Low Byte
    0x48,  // MDMCFG4         Modem Configuration
    0x83,  // MDMCFG3         Modem Configuration
    0x01,  // MDMCFG2         Modem Configuration
    0x02,  // MDMCFG1         Modem Configuration
    0x2F,  // MDMCFG0         Modem Configuration
    0x34,  // DEVIATN         Modem Deviation Setting
    0x33,  // MCSM0           Main Radio Control State Machine Configuration
    0x16,  // FOCCFG          Frequency Offset Compensation Configuration
    0x1C,  // BSCFG           Bit Synchronization Configuration
    0x43,  // AGCCTRL2        AGC Control
    0x00,  // AGCCTRL1        AGC Control
    0xB0,  // AGCCTRL0        AGC Control
    0x46,  // WOREVT1         High Byte Event0 Timeout
    0x50,  // WOREVT0         Low Byte Event0 Timeout
    0x78,  // WORCTRL         Wake On Radio Control
    0xB6,  // FREND1          Front End RX Configuration
    0xE9,  // FSCAL3          Frequency Synthesizer Calibration
    0x2A,  // FSCAL2          Frequency Synthesizer Calibration
    0x00,  // FSCAL1          Frequency Synthesizer Calibration
    0x1F,  // FSCAL0          Frequency Synthesizer Calibration
    0x3E,  // AGCTEST         AGC Test
    0x81,  // TEST2           Various Test Settings
    0x35,  // TEST1           Various Test Settings
    0x09,  // TEST0           Various Test Settings
    0x17,  // FREQEST         Frequency Offset Estimate From Demodulator
    0x80,  // LQI             Demodulator Estimate for Link Quality
    0xD8,  // RSSI            Received Signal Strength Indication
    0x01,  // MARCSTATE       Main Radio Control State Machine State
    0x07,  // WORTIME1        High Byte of WOR Time
    0x7C,  // WORTIME0        Low Byte of WOR Time
    0xA0,  // PKTSTATUS       Current GDOx Status and Packet Status
    0xFD,  // VCO_VC_DAC      Current Setting from PLL Calibration Module
    0xC6,  // PA_TABLE0       PA table, entry 0
};