/***************************************************************
 *  SmartRF Studio(tm) Export
 *
 *  Radio register settings specifed with C-code
 *  compatible #define statements.
 *
 ***************************************************************/

#ifndef SMARTRF_CC430F6137_H
#define SMARTRF_CC430F6137_H

#define SMARTRF_RADIO_CC430F6137

#define SMARTRF_SETTING_IOCFG0       0x06
#define SMARTRF_SETTING_FIFOTHR      0x47
#define SMARTRF_SETTING_SYNC1        0x2D
#define SMARTRF_SETTING_SYNC0        0xD4
#define SMARTRF_SETTING_PKTLEN       0x0F
#define SMARTRF_SETTING_PKTCTRL1     0x00
#define SMARTRF_SETTING_PKTCTRL0     0x01
#define SMARTRF_SETTING_FSCTRL1      0x06
#define SMARTRF_SETTING_FREQ2        0x10
#define SMARTRF_SETTING_FREQ1        0xB1
#define SMARTRF_SETTING_FREQ0        0x41
#define SMARTRF_SETTING_MDMCFG4      0x48
#define SMARTRF_SETTING_MDMCFG3      0x83
#define SMARTRF_SETTING_MDMCFG2      0x01
#define SMARTRF_SETTING_MDMCFG1      0x02
#define SMARTRF_SETTING_MDMCFG0      0x2F
#define SMARTRF_SETTING_DEVIATN      0x34
#define SMARTRF_SETTING_MCSM0        0x33
#define SMARTRF_SETTING_FOCCFG       0x16
#define SMARTRF_SETTING_BSCFG        0x1C
#define SMARTRF_SETTING_AGCCTRL2     0x43
#define SMARTRF_SETTING_AGCCTRL1     0x00
#define SMARTRF_SETTING_AGCCTRL0     0xB0
#define SMARTRF_SETTING_WOREVT1      0x46
#define SMARTRF_SETTING_WOREVT0      0x50
#define SMARTRF_SETTING_WORCTRL      0x78
#define SMARTRF_SETTING_FREND1       0xB6
#define SMARTRF_SETTING_FSCAL3       0xE9
#define SMARTRF_SETTING_FSCAL2       0x2A
#define SMARTRF_SETTING_FSCAL1       0x00
#define SMARTRF_SETTING_FSCAL0       0x1F
#define SMARTRF_SETTING_AGCTEST      0x3E
#define SMARTRF_SETTING_TEST2        0x81
#define SMARTRF_SETTING_TEST1        0x35
#define SMARTRF_SETTING_TEST0        0x09
#define SMARTRF_SETTING_FREQEST      0x17
#define SMARTRF_SETTING_LQI          0x80
#define SMARTRF_SETTING_RSSI         0xD8
#define SMARTRF_SETTING_MARCSTATE    0x01
#define SMARTRF_SETTING_WORTIME1     0x07
#define SMARTRF_SETTING_WORTIME0     0x7C
#define SMARTRF_SETTING_PKTSTATUS    0xA0
#define SMARTRF_SETTING_VCO_VC_DAC   0xFD
#define SMARTRF_SETTING_PA_TABLE0    0xC6

#endif
